Notification Emails

Get Company Notification Email Address

Get a specific company notification email address by ID

GET
/api/v1/companies/{companyId}/notification-email-addresses/{notificationEmailAddressId}
AuthorizationBasic <token>

Basic API key authentication. Create a new API key and secret in the Recommand dashboard.

In: header

Path Parameters

companyId*string

The ID of the company to get a notification email address for

notificationEmailAddressId*string

The ID of the notification email address to retrieve

Response Body

application/json

application/json

application/json

curl -X GET "https://app.recommand.eu/api/v1/companies/string/notification-email-addresses/string"
{
  "success": true,
  "notificationEmailAddress": {
    "id": "string",
    "companyId": "string",
    "email": "string",
    "notifyIncoming": true,
    "notifyOutgoing": true,
    "includeAutoGeneratedPdfIncoming": true,
    "includeAutoGeneratedPdfOutgoing": true,
    "includeDocumentJsonIncoming": true,
    "includeDocumentJsonOutgoing": true,
    "createdAt": "2019-08-24T14:15:22Z",
    "updatedAt": "2019-08-24T14:15:22Z"
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}
{
  "success": false,
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}